Webhook
Webhook 이벤트 조회
Webhook 이벤트 조회
중국 본토 사용자 안내: 중국 본토 사용자는 https://api.toapis.cn 를 API 엔드포인트(Base URL)로 사용해 주세요. 본 문서의 예시에서 https://api.toapis.com 을 https://api.toapis.cn 로 바꿔 주세요.
동작
단일 전송 이벤트의 최신 상태와 재시도 상황을 반환합니다: 이벤트 상태, 시도 횟수, 마지막 HTTP 상태, 마스킹된 reason, RFC 3339 타임스탬프. 이벤트 payload, 콜백 URL, 수신 측 원시 응답, 전송을 수행한 worker 정보, 각 재시도의 전체 내역은 반환하지 않습니다.
다른 계정이거나 존재하지 않는 이벤트는 404입니다.
인증
Authorizationstring헤더필수시스템 액세스 토큰 Bearer YOUR_SYSTEM_ACCESS_TOKEN 을 사용하며 본인 계정만 접근할 수 있습니다. 모델 Key 는 허용하지 않습니다. X-User-Id 는 필요 없으며 관리자나 팀 권한으로 범위를 우회할 수 없습니다.
요청 매개변수
event_idstring경로필수이벤트 ID.
event_id가 없거나 다른 계정 소유이면 404, 레이트 리밋 시 429입니다.
요청 예제
요청 예시
curl --request GET \
--url 'https://api.toapis.com/api/v1/webhook/events/evt_example' \
--header 'Authorization: Bearer YOUR_SYSTEM_ACCESS_TOKEN'응답 예제
응답 예시
{
"code": 0,
"message": "",
"data": {
"event_id": "evt_example",
"api_key_id": 123,
"task_id": "example-task",
"type": "generation.completed",
"status": "delivered",
"attempts": 1,
"reason": "delivered",
"last_http_status": 200,
"created_at": "2026-11-13T00:00:00Z",
"next_attempt_at": null,
"delivered_at": "2026-11-13T00:00:01Z",
"expires_at": "2026-11-14T12:00:00Z"
}
}초기 설정 순서와 서명 검증은 Webhook 설정 조회를 참조하세요.